Generation Framework

## org.eclipse.gmf.gmfgraph
Class LineKind

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.gmf.gmfgraph.LineKind

All Implemented Interfaces:
  Enumerator

public final class LineKind
extends AbstractEnumerator

A representation of the literals of the enumeration 'Line Kind', and utility methods for working with them. org.eclipse.draw2d.Graphics.LINE_* (== org.eclipse.swt.SWT.LINE_*. Values are same as SWT constants

See Also:
  `GMFGraphPackage.getLineKind()`
** Generated **
Model:

Field Summary
`static int` `LINE_CUSTOM` The 'LINE CUSTOM' literal value
`static LineKind` `LINE_CUSTOM_LITERAL` The 'LINE CUSTOM' literal object
`static int` `LINE_DASH` The 'LINE DASH' literal value
`static LineKind` `LINE_DASH_LITERAL` The 'LINE DASH' literal object
`static int` `LINE_DASHDOT` The 'LINE DASHDOT' literal value
`static LineKind` `LINE_DASHDOT_LITERAL` The 'LINE DASHDOT' literal object
`static int` `LINE_DASHDOTDOT` The 'LINE DASHDOTDOT' literal value
`static LineKind` `LINE_DASHDOTDOT_LITERAL` The 'LINE DASHDOTDOT' literal object
`static int` `LINE_DOT` The 'LINE DOT' literal value
`static LineKind` `LINE_DOT_LITERAL` The 'LINE DOT' literal object
`static int` `LINE_SOLID` The 'LINE SOLID' literal value
`static LineKind` `LINE_SOLID_LITERAL` The 'LINE SOLID' literal object
`static java.util.List` `VALUES` A public read-only list of all the 'Line Kind' enumerators

Method Summary
`static LineKind` `get(int value)` Returns the 'Line Kind' literal with the specified integer value
`static LineKind` `get(java.lang.String literal)` Returns the 'Line Kind' literal with the specified literal value
`static LineKind` `getByName(java.lang.String name)` Returns the 'Line Kind' literal with the specified name

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LINE_SOLID

    public static final int LINE_SOLID

  The 'LINE SOLID' literal value.

  If the meaning of 'LINE SOLID' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LineKind.LINE_SOLID_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### LINE_DASH

    public static final int LINE_DASH

  The 'LINE DASH' literal value.

  If the meaning of 'LINE DASH' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LineKind.LINE_DASH_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### LINE_DOT

    public static final int LINE_DOT

  The 'LINE DOT' literal value.

  If the meaning of 'LINE DOT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LineKind.LINE_DOT_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### LINE_DASHDOT

    public static final int LINE_DASHDOT

  The 'LINE DASHDOT' literal value.

  If the meaning of 'LINE DASHDOT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LineKind.LINE_DASHDOT_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### LINE_DASHDOTDOT

    public static final int LINE_DASHDOTDOT

  The 'LINE DASHDOTDOT' literal value.

  If the meaning of 'LINE DASHDOTDOT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LineKind.LINE_DASHDOTDOT_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### LINE_CUSTOM

    public static final int LINE_CUSTOM

  The 'LINE CUSTOM' literal value.

  If the meaning of 'LINE CUSTOM' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LineKind.LINE_CUSTOM_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### LINE_SOLID_LITERAL

    public static final LineKind LINE_SOLID_LITERAL

  The 'LINE SOLID' literal object.

  See Also:
    `LineKind.LINE_SOLID`
  ** Generated **
  Ordered:

### LINE_DASH_LITERAL

    public static final LineKind LINE_DASH_LITERAL

  The 'LINE DASH' literal object.

  See Also:
    `LineKind.LINE_DASH`
  ** Generated **
  Ordered:

### LINE_DOT_LITERAL

    public static final LineKind LINE_DOT_LITERAL

  The 'LINE DOT' literal object.

  See Also:
    `LineKind.LINE_DOT`
  ** Generated **
  Ordered:

### LINE_DASHDOT_LITERAL

    public static final LineKind LINE_DASHDOT_LITERAL

  The 'LINE DASHDOT' literal object.

  See Also:
    `LineKind.LINE_DASHDOT`
  ** Generated **
  Ordered:

### LINE_DASHDOTDOT_LITERAL

    public static final LineKind LINE_DASHDOTDOT_LITERAL

  The 'LINE DASHDOTDOT' literal object.

  See Also:
    `LineKind.LINE_DASHDOTDOT`
  ** Generated **
  Ordered:

### LINE_CUSTOM_LITERAL

    public static final LineKind LINE_CUSTOM_LITERAL

  The 'LINE CUSTOM' literal object.

  See Also:
    `LineKind.LINE_CUSTOM`
  ** Generated **
  Ordered:

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Line Kind' enumerators.

  ** Generated **

Method Detail

### get

    public static LineKind get(java.lang.String literal)

  Returns the 'Line Kind' literal with the specified literal value.

  ** Generated **

### getByName

    public static LineKind getByName(java.lang.String name)

  Returns the 'Line Kind' literal with the specified name.

  ** Generated **

### get

    public static LineKind get(int value)

  Returns the 'Line Kind' literal with the specified integer value.

  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.